Package cs2030s.fp

## Interface Combiner<R,​S,​T>

Type Parameters:
  `R` - The type of the return value
  `S` - The type of the first input value
  `T` - The type of the second input value

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Combiner<R,​S,​T>

Represent a function that combines two values into one. The two inputs and the result can be of different types. CS2030S Lab 5 AY20/21 Semester 2

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `combine​(S s, T t)` The functional method to combines two values into one.

### Method Detail

#### combine

    R combine​(S s,
              T t)

The functional method to combines two values into one.

Parameters:
  `s` - The first input value
  `t` - The second input value
Returns:
  The value after combining s and t.